Package org.kie.api.runtime.conf

## Class WorkItemHandlerOption

- java.lang.Object
- - org.kie.api.runtime.conf.WorkItemHandlerOption

- All Implemented Interfaces:
    `Serializable`, `Option`, `KieSessionOption`, `MultiValueKieSessionOption`

      public class WorkItemHandlerOption
      extends Object
      implements MultiValueKieSessionOption

  WorkItemHandlers configuration option
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PROPERTY_NAME` | The prefix for the property name for work item handlers

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static WorkItemHandlerOption` | `get​(String name, WorkItemHandler handler)` | This is a factory method for this WorkItemHandler configuration.
    `WorkItemHandler` | `getHandler()` |
    `String` | `getName()` |
    `String` | `getPropertyName()`
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The prefix for the property name for work item handlers
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static WorkItemHandlerOption get​(String name,
                                                  WorkItemHandler handler)

      This is a factory method for this WorkItemHandler configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `name` - the name of the work item handler to be configured
      Returns:
        the actual type safe work item handler configuration.

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### getName

          public String getName()

      Returns:
        the name of the configured work item handler

    - #### getHandler

          public WorkItemHandler getHandler()

      Returns:
        the work item handler instance

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`